Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkProjectedTexture Class Reference

`#include <vtkProjectedTexture.h>`

Inheritance diagram for vtkProjectedTexture:

[legend]
Collaboration diagram for vtkProjectedTexture:

[legend]
List of all members.

## Detailed Description

assign texture coordinates for a projected texture

Date:
  2002/12/09 13:39:05

Revision:
  1.17

vtkProjectedTexture assigns texture coordinates to a dataset as if the texture was projected from a slide projected located somewhere in the scene. Methods are provided to position the projector and aim it at a location, to set the width of the projector's frustum, and to set the range of texture coordinates assigned to the dataset.

Objects in the scene that appear behind the projector are also assigned texture coordinates; the projected image is left-right and top-bottom flipped, much as a lens' focus flips the rays of light that pass through it. A warning is issued if a point in the dataset falls at the focus of the projector.

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (63%)
  - Turner, Wes (23%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkProjectedTexture.h)`
  - .`cxx` (`/Graphics/vtkProjectedTexture.cxx)`

Definition at line 54 of file vtkProjectedTexture.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetUp (float, float, float)
virtual void | SetUp (float[3])
virtual float * | GetUp ()
virtual void | GetUp (float data[3])
virtual void | SetAspectRatio (float, float, float)
virtual void | SetAspectRatio (float[3])
virtual float * | GetAspectRatio ()
virtual void | GetAspectRatio (float data[3])
virtual void | SetPosition (float, float, float)
virtual void | SetPosition (float[3])
virtual float * | GetPosition ()
virtual void | GetPosition (float data[3])
void | SetFocalPoint (float focalPoint[3])
void | SetFocalPoint (float x, float y, float z)
virtual float * | GetFocalPoint ()
virtual void | GetFocalPoint (float data[3])
virtual void | SetCameraMode (int)
virtual int | GetCameraMode ()
void | SetCameraModeToPinhole ()
void | SetCameraModeToTwoMirror ()
virtual void | SetMirrorSeparation (float)
virtual float | GetMirrorSeparation ()
virtual float * | GetOrientation ()
virtual void | GetOrientation (float data[3])
virtual void | SetSRange (float, float)
void | SetSRange (float[2])
virtual float * | GetSRange ()
virtual void | GetSRange (float data[2])
virtual void | SetTRange (float, float)
void | SetTRange (float[2])
virtual float * | GetTRange ()
virtual void | GetTRange (float data[2])
## Static Public Methods
vtkProjectedTexture * | New ()
int | IsTypeOf (const char *type)
vtkProjectedTexture * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkProjectedTexture ()
| ~vtkProjectedTexture ()
void | Execute ()
void | ComputeNormal ()
## Protected Attributes
int | CameraMode
float | Position [3]
float | Orientation [3]
float | FocalPoint [3]
float | Up [3]
float | MirrorSeparation
float | AspectRatio [3]
float | SRange [2]
float | TRange [2]

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkProjectedTexture::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 58 of file vtkProjectedTexture.h.

## Constructor & Destructor Documentation

vtkProjectedTexture::vtkProjectedTexture | ( |  | ) | `[protected]`

vtkProjectedTexture::~vtkProjectedTexture | ( |  | ) | `[inline, protected]`

| Definition at line 121 of file vtkProjectedTexture.h.

## Member Function Documentation

vtkProjectedTexture* vtkProjectedTexture::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkProjectedTexture::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkProjectedTexture::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkProjectedTexture::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkProjectedTexture* vtkProjectedTexture::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkProjectedTexture::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

virtual void vtkProjectedTexture::SetPosition | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the position of the focus of the projector.

virtual void vtkProjectedTexture::SetPosition | ( | float | [3] | ) | `[virtual]`

| Set/Get the position of the focus of the projector.

virtual float* vtkProjectedTexture::GetPosition | ( |  | ) | `[virtual]`

| Set/Get the position of the focus of the projector.

virtual void vtkProjectedTexture::GetPosition | ( | float | data[3] | ) | `[virtual]`

| Set/Get the position of the focus of the projector.

void vtkProjectedTexture::SetFocalPoint | ( | float | focalPoint[3] | ) |

| Set/Get the focal point of the projector (a point that lies along the center axis of the projector's frustum).

void vtkProjectedTexture::SetFocalPoint | ( | float | x,
|  | float | y,
|  | float | z
| ) |

| Set/Get the focal point of the projector (a point that lies along the center axis of the projector's frustum).

virtual float* vtkProjectedTexture::GetFocalPoint | ( |  | ) | `[virtual]`

| Set/Get the focal point of the projector (a point that lies along the center axis of the projector's frustum).

virtual void vtkProjectedTexture::GetFocalPoint | ( | float | data[3] | ) | `[virtual]`

| Set/Get the focal point of the projector (a point that lies along the center axis of the projector's frustum).

virtual void vtkProjectedTexture::SetCameraMode | ( | int |  | ) | `[virtual]`

| Set/Get the camera mode of the projection -- pinhole projection or two mirror projection.

virtual int vtkProjectedTexture::GetCameraMode | ( |  | ) | `[virtual]`

| Set/Get the camera mode of the projection -- pinhole projection or two mirror projection.

void vtkProjectedTexture::SetCameraModeToPinhole | ( |  | ) | `[inline]`

| Set/Get the camera mode of the projection -- pinhole projection or two mirror projection. Definition at line 80 of file vtkProjectedTexture.h. References VTK_PROJECTED_TEXTURE_USE_PINHOLE.

void vtkProjectedTexture::SetCameraModeToTwoMirror | ( |  | ) | `[inline]`

| Set/Get the camera mode of the projection -- pinhole projection or two mirror projection. Definition at line 81 of file vtkProjectedTexture.h. References VTK_PROJECTED_TEXTURE_USE_TWO_MIRRORS.

virtual void vtkProjectedTexture::SetMirrorSeparation | ( | float |  | ) | `[virtual]`

| Set/Get the mirror separation for the two mirror system.

virtual float vtkProjectedTexture::GetMirrorSeparation | ( |  | ) | `[virtual]`

| Set/Get the mirror separation for the two mirror system.

virtual float* vtkProjectedTexture::GetOrientation | ( |  | ) | `[virtual]`

| Get the normalized orientation vector of the projector.

virtual void vtkProjectedTexture::GetOrientation | ( | float | data[3] | ) | `[virtual]`

| Get the normalized orientation vector of the projector.

virtual void vtkProjectedTexture::SetUp | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

virtual void vtkProjectedTexture::SetUp | ( | float | [3] | ) | `[virtual]`

virtual float* vtkProjectedTexture::GetUp | ( |  | ) | `[virtual]`

virtual void vtkProjectedTexture::GetUp | ( | float | data[3] | ) | `[virtual]`

virtual void vtkProjectedTexture::SetAspectRatio | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

virtual void vtkProjectedTexture::SetAspectRatio | ( | float | [3] | ) | `[virtual]`

virtual float* vtkProjectedTexture::GetAspectRatio | ( |  | ) | `[virtual]`

virtual void vtkProjectedTexture::GetAspectRatio | ( | float | data[3] | ) | `[virtual]`

virtual void vtkProjectedTexture::SetSRange | ( | float | ,
|  | float |
| ) | `[virtual]`

| Specify s-coordinate range for texture s-t coordinate pair.

void vtkProjectedTexture::SetSRange | ( | float | [2] | ) |

| Specify s-coordinate range for texture s-t coordinate pair.

virtual float* vtkProjectedTexture::GetSRange | ( |  | ) | `[virtual]`

| Specify s-coordinate range for texture s-t coordinate pair.

virtual void vtkProjectedTexture::GetSRange | ( | float | data[2] | ) | `[virtual]`

| Specify s-coordinate range for texture s-t coordinate pair.

virtual void vtkProjectedTexture::SetTRange | ( | float | ,
|  | float |
| ) | `[virtual]`

| Specify t-coordinate range for texture s-t coordinate pair.

void vtkProjectedTexture::SetTRange | ( | float | [2] | ) |

| Specify t-coordinate range for texture s-t coordinate pair.

virtual float* vtkProjectedTexture::GetTRange | ( |  | ) | `[virtual]`

| Specify t-coordinate range for texture s-t coordinate pair.

virtual void vtkProjectedTexture::GetTRange | ( | float | data[2] | ) | `[virtual]`

| Specify t-coordinate range for texture s-t coordinate pair.

void vtkProjectedTexture::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkProjectedTexture::ComputeNormal | ( |  | ) | `[protected]`

## Member Data Documentation

int vtkProjectedTexture::CameraMode`[protected]`

| Definition at line 126 of file vtkProjectedTexture.h.

float vtkProjectedTexture::Position[3]`[protected]`

| Definition at line 128 of file vtkProjectedTexture.h.

float vtkProjectedTexture::Orientation[3]`[protected]`

| Definition at line 129 of file vtkProjectedTexture.h.

float vtkProjectedTexture::FocalPoint[3]`[protected]`

| Definition at line 130 of file vtkProjectedTexture.h.

float vtkProjectedTexture::Up[3]`[protected]`

| Definition at line 131 of file vtkProjectedTexture.h.

float vtkProjectedTexture::MirrorSeparation`[protected]`

| Definition at line 132 of file vtkProjectedTexture.h.

float vtkProjectedTexture::AspectRatio[3]`[protected]`

| Definition at line 133 of file vtkProjectedTexture.h.

float vtkProjectedTexture::SRange[2]`[protected]`

| Definition at line 134 of file vtkProjectedTexture.h.

float vtkProjectedTexture::TRange[2]`[protected]`

| Definition at line 135 of file vtkProjectedTexture.h.

The documentation for this class was generated from the following file:

- Graphics/vtkProjectedTexture.h